=== debian/control ===
Source: ros-noetic-open3d-conversions
Section: misc
Priority: optional
Maintainer: Pranay Mathur <matnay17@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-catkin, ros-noetic-roscpp, ros-noetic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-open3d-conversions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-noetic-roscpp, ros-noetic-sensor-msgs
Description: Provides conversion functions to and from Open3D datatypes
